classification
Title: Improving strftime documentation
Type: enhancement Stage: patch review
Components: Documentation Versions: Python 3.4, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: alex, docs@python, eric.araujo, python-dev, wolever
Priority: normal Keywords: needs review, patch

Created on 2013-04-12 00:06 by wolever, last changed 2013-08-12 21:23 by wolever. This issue is now closed.

Files
File name Uploaded Description Edit
strftime-docs.diff wolever, 2013-04-12 00:06 Patch adding examples to strftime documentation
strftime-docs.diff wolever, 2013-04-12 04:22 Updating note on %f formatter according to Éric's note
ae18c5ae2c4d.diff wolever, 2013-04-14 01:17 review
53a0e908f787.diff wolever, 2013-04-14 02:41 review
0f4d971b0cee.diff wolever, 2013-05-23 22:01 review
Repositories containing patches
https://wolever@bitbucket.org/wolever/cpython#2.7
Messages (9)
msg186601 - (view) Author: David Wolever (wolever) * (Python committer) Date: 2013-04-12 00:06
The current strftime documentation isn't very helpful. It doesn't have examples, and the ordering is unhelpful.

I've also moved some format-specific notes into the notes below the format-string-table, because the format string table is what 98%* of people care about.

TODO before this can be merged:
- Clean up note order
- Check that it works with the Python 3 docs

*: based on a sample size of 1
msg186605 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2013-04-12 03:38
Thanks for the patch, looks good.  I’d put the versionadded block at the end of the note rather than the beginning, to match usual conventions.
msg186607 - (view) Author: David Wolever (wolever) * (Python committer) Date: 2013-04-12 04:24
Ah, yes — thanks Éric. I've fiddled with the wording on the %f note a bit so it makes more sense along with the versionadded, and removed the versionadded text, which is basically identical to the note and description.
msg186873 - (view) Author: David Wolever (wolever) * (Python committer) Date: 2013-04-14 01:20
Ok, I've added some locale examples and fixed up the note numbering. See diff in file29839, and there is a live version to preview here: http://hul.wolever.net/python-doc/library/datetime.html#strftime-and-strptime-behavior

If I can get a +1 on this, I'll port it to Python 3.
msg186880 - (view) Author: David Wolever (wolever) * (Python committer) Date: 2013-04-14 02:42
Fixed a misleading note about Unicode in localized formatters in file29841.
msg189916 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2013-05-24 16:16
Looks good.
msg195001 - (view) Author: Roundup Robot (python-dev) Date: 2013-08-12 19:51
New changeset adbc9789a5e4 by David Wolever in branch '2.7':
Issue #17701: Improving strftime documentation
http://hg.python.org/cpython/rev/adbc9789a5e4
msg195019 - (view) Author: Roundup Robot (python-dev) Date: 2013-08-12 21:15
New changeset 1d4b02d8fa8a by David Wolever in branch '3.3':
Issue #17701: Improving strftime documentation.
http://hg.python.org/cpython/rev/1d4b02d8fa8a

New changeset ab550dac6209 by David Wolever in branch 'default':
Merge issue #17701: Improving strftime documentation.
http://hg.python.org/cpython/rev/ab550dac6209
msg195021 - (view) Author: David Wolever (wolever) * (Python committer) Date: 2013-08-12 21:23
Done, pushed to 2.7, 3.3, default.
History
Date User Action Args
2013-08-12 21:23:46woleversetstatus: open -> closed
resolution: fixed
messages: + msg195021
2013-08-12 21:15:52python-devsetmessages: + msg195019
2013-08-12 19:51:22python-devsetnosy: + python-dev
messages: + msg195001
2013-05-24 16:16:33eric.araujosetmessages: + msg189916
2013-05-23 22:01:20woleversetfiles: + 0f4d971b0cee.diff
2013-05-23 21:53:28woleversetfiles: - 102b3e257dca.diff
2013-05-23 21:45:19woleversetfiles: + 102b3e257dca.diff
2013-04-14 02:42:43woleversetmessages: + msg186880
2013-04-14 02:41:43woleversetfiles: + 53a0e908f787.diff
2013-04-14 01:20:58woleversetmessages: + msg186873
2013-04-14 01:17:26woleversetfiles: + ae18c5ae2c4d.diff
2013-04-14 01:16:55woleversetfiles: - b3b1dcdc8cee.diff
2013-04-13 23:27:22woleversetfiles: + b3b1dcdc8cee.diff
2013-04-13 23:19:57woleversethgrepos: + hgrepo182
2013-04-12 04:24:17woleversetmessages: + msg186607
2013-04-12 04:22:13woleversetfiles: + strftime-docs.diff
2013-04-12 03:38:03eric.araujosetversions: + Python 3.3, Python 3.4
nosy: + eric.araujo

messages: + msg186605

stage: patch review
2013-04-12 00:08:09alexsetnosy: + alex
2013-04-12 00:06:03wolevercreate